@echo off
echo This program modifies the car, depending on your selections.
echo For this car, the following are available:
echo -Physics changes
echo -> Real physics
echo -> Fun physics
echo -Colour changes
echo -Model changes
echo.
echo Choose a model:
echo.
echo 1) Copcar
echo 2) Stock-version
echo 3) Lowered stock-version
echo 4) Bigfoot
echo 5) No change (=Exit)
echo.
choice /C:12345 "    "
if errorlevel 5 goto Exit
if errorlevel 4 goto Bigfoot
if errorlevel 3 goto Lowered
if errorlevel 2 goto Stock
goto NormalCop


:NormalCop
copy mods\models\Cop\c2sbmw*.*
copy mods\colours\silver.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
cls
echo Which physics would you like to use for the normal copcar?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealNormalCop
copy mods\models\cop\fun.txt c2sbmw.txt
goto Exit
:ARealNormalCop
copy mods\models\cop\real.txt c2sbmw.txt
goto Exit

:Stock
copy mods\models\Stock\c2sbmw*.*
cls
echo Which physics would you like to use for the stock-version?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealStock
copy mods\models\stock\fun.txt c2sbmw.txt
goto Colour
:ARealStock
copy mods\models\stock\real.txt c2sbmw.txt
goto Colour

:Lowered
copy mods\models\Lowered\c2sbmw*.*
cls
echo Which physics would you like to use for the lowered stock-version?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealLowered
copy mods\models\lowered\fun.txt c2sbmw.txt
goto Colour
:ARealLowered
copy mods\models\lowered\real.txt c2sbmw.txt
goto Colour

:Bigfoot
copy mods\models\Bigfoot\c2sbmw*.*
cls
echo Which physics would you like to use for the bigfoot?
echo.
echo 1) Fun physics
echo 2) Realistic physics
choice /C:12 " "
if errorlevel 2 goto ARealBigfoot
copy mods\models\bigfoot\fun.txt c2sbmw.txt
goto Colour
:ARealBigfoot
copy mods\models\bigfoot\real.txt c2sbmw.txt
goto Colour




:Colour
cls
echo Choose a colour:
echo.
echo 1) Black
echo 2) Beige
echo 3) Dark Blue
echo 4) Dark Green
echo 5) Stormy Blue
echo 6) Red
echo 7) White
echo 8) Yellow
echo 9) A few more colours...
echo.
choice /C:123456789 " "
if errorlevel 9 goto More
if errorlevel 8 goto Yellow
if errorlevel 7 goto White
if errorlevel 6 goto Red
if errorlevel 5 goto StormyBlue
if errorlevel 4 goto DarkGreen
if errorlevel 3 goto DarkBlue
if errorlevel 2 goto Beige
goto Black


:More
cls
echo Choose a colour:
echo.
echo 1) Silver
echo 2) Lime Green
echo 3) Orange
echo 4) Burnt Red
echo 5) Dark Red
echo 6) Dark Gray
echo 7) Sky Blue
echo 8) Green
echo 9) Back to previous colours
echo.
choice /C:123456789 " "
if errorlevel 9 goto Colour
if errorlevel 8 goto Green
if errorlevel 7 goto SkyBlue
if errorlevel 6 goto DarkGray
if errorlevel 5 goto DarkRed
if errorlevel 4 goto BurntRed
if errorlevel 3 goto Orange
if errorlevel 2 goto LimeGreen
goto Silver


:Yellow
copy mods\colours\yellow.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
goto Exit

:White
copy mods\colours\white.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
goto Exit

:Red
copy mods\colours\red.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
goto Exit

:SkyBlue
copy mods\colours\skyblue.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
goto Exit

:DarkGreen
copy mods\colours\darkgreen.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
goto Exit

:DarkBlue
copy mods\colours\darkblue.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
goto Exit

:Beige
copy mods\colours\beige.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
goto Exit

:Black
copy mods\colours\black.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
goto Exit

:Silver
copy mods\colours\silver.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
goto Exit

:Orange
copy mods\colours\orange.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
goto Exit

:DarkGray
copy mods\colours\darkgray.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
goto Exit

:LimeGreen
copy mods\colours\limegreen.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
goto Exit

:BurntRed
copy mods\colours\burntred.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
goto Exit

:DarkRed
copy mods\colours\darkred.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
goto Exit

:StormyBlue
copy mods\colours\stormyblue.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
goto Exit

:Green
copy mods\colours\green.tif tiffrgb\bmw1body.tif
del pix16\bmw1body.pix
goto Exit





:Exit
cls
echo Changes are made, program is ended.
exit


:NoChange
cls
echo No changes made this time, program is ended.
exit